# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_MarkerMember Class Reference

Defines MarkerType as unique member of MarkerSelect
Works with an EnumTool
.

`#include <StepVisual_MarkerMember.hxx>`

Inheritance diagram for StepVisual_MarkerMember:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_MarkerMember ()
virtual Standard_EXPORT Standard_Boolean | HasName () const
| Tells if a SelectMember has a name. Default is False .
virtual Standard_EXPORT Standard_CString | Name () const
| Returns the name of a SelectMember. Default is empty .
virtual Standard_EXPORT Standard_Boolean | SetName (const Standard_CString name)
| Sets the name of a SelectMember, returns True if done, False if no name is allowed Default does nothing and returns False .
virtual Standard_EXPORT Standard_CString | EnumText () const
virtual Standard_EXPORT void | SetEnumText (const Standard_Integer val, const Standard_CString text)
Standard_EXPORT void | SetValue (const StepVisual_MarkerType val)
Standard_EXPORT StepVisual_MarkerType | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_MarkerMember::StepVisual_MarkerMember | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_CString StepVisual_MarkerMember::EnumText | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

Standard_EXPORT const StepVisual_MarkerMember::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepData_SelectInt.

virtual Standard_EXPORT Standard_Boolean StepVisual_MarkerMember::HasName | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_CString StepVisual_MarkerMember::Name | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT void StepVisual_MarkerMember::SetEnumText | ( | const Standard_Integer | val,
|  | const Standard_CString | text
| ) | `[virtual]`

| Reimplemented from StepData_SelectMember.

virtual Standard_EXPORT Standard_Boolean StepVisual_MarkerMember::SetName | ( | const Standard_CString | name | ) | `[virtual]`

| Reimplemented from StepData_SelectMember.

Standard_EXPORT void StepVisual_MarkerMember::SetValue | ( | const StepVisual_MarkerType | val | ) |

Standard_EXPORT StepVisual_MarkerType StepVisual_MarkerMember::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepVisual_MarkerMember.hxx